mod semantics;
mod syntax;
mod tokens;

use syntax::CachedLexer;

use crate::semantics::Executor;

// use logos::Logos;

// use self::tokens::Token;

fn main() {
    let input = std::fs::read_to_string("test.txt").unwrap();
    // let lex = Token::lexer(&input);
    // let tokens = lex.spanned().collect::<Vec<_>>();
    // for token in &tokens {
    //     println!("{:?}", token.0.as_ref().unwrap());
    // }

    let p = CachedLexer::new(&input).parse_program().unwrap();
    dbg!(&p);
    let traj = Executor::new(p).run().unwrap();
    dbg!(traj);
}
